
From: Anton Blanchard <anton@samba.org>

Add clock_was_set to all architectures.  I'm disappointed this wasnt done by
whoever wrote the code.

(It is a callback which the arch-specific RTC-updating code must make when
someone sets the time).



---

 25-akpm/arch/alpha/kernel/time.c     |    1 +
 25-akpm/arch/arm26/kernel/time.c     |    1 +
 25-akpm/arch/cris/kernel/time.c      |    1 +
 25-akpm/arch/h8300/kernel/time.c     |    1 +
 25-akpm/arch/m68k/kernel/time.c      |    1 +
 25-akpm/arch/m68knommu/kernel/time.c |    1 +
 25-akpm/arch/mips/kernel/time.c      |    2 +-
 25-akpm/arch/parisc/kernel/time.c    |    1 +
 25-akpm/arch/ppc/kernel/time.c       |    1 +
 25-akpm/arch/ppc64/kernel/time.c     |    1 +
 25-akpm/arch/s390/kernel/time.c      |    1 +
 25-akpm/arch/sparc/kernel/time.c     |    1 +
 25-akpm/arch/sparc64/kernel/time.c   |    1 +
 25-akpm/arch/um/kernel/time.c        |    1 +
 25-akpm/arch/v850/kernel/time.c      |    1 +
 15 files changed, 15 insertions(+), 1 deletion(-)

diff -puN arch/alpha/kernel/time.c~add-clock_was_set arch/alpha/kernel/time.c
--- 25/arch/alpha/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/alpha/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -503,6 +503,7 @@ do_settimeofday(struct timespec *tv)
 	time_esterror = NTP_PHASE_LIMIT;
 
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/arm26/kernel/time.c~add-clock_was_set arch/arm26/kernel/time.c
--- 25/arch/arm26/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/arm26/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -179,6 +179,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/cris/kernel/time.c~add-clock_was_set arch/cris/kernel/time.c
--- 25/arch/cris/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/cris/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -108,6 +108,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	local_irq_restore(flags);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/h8300/kernel/time.c~add-clock_was_set arch/h8300/kernel/time.c
--- 25/arch/h8300/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/h8300/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -139,6 +139,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/m68k/kernel/time.c~add-clock_was_set arch/m68k/kernel/time.c
--- 25/arch/m68k/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/m68k/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -174,6 +174,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/m68knommu/kernel/time.c~add-clock_was_set arch/m68knommu/kernel/time.c
--- 25/arch/m68knommu/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/m68knommu/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -199,6 +199,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/mips/kernel/time.c~add-clock_was_set arch/mips/kernel/time.c
--- 25/arch/mips/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/mips/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -132,7 +132,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
-
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/parisc/kernel/time.c~add-clock_was_set arch/parisc/kernel/time.c
--- 25/arch/parisc/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/parisc/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -230,6 +230,7 @@ do_settimeofday (struct timespec *tv)
 		time_esterror = NTP_PHASE_LIMIT;
 	}
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 EXPORT_SYMBOL(do_settimeofday);
diff -puN arch/ppc64/kernel/time.c~add-clock_was_set arch/ppc64/kernel/time.c
--- 25/arch/ppc64/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/ppc64/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -418,6 +418,7 @@ int do_settimeofday(struct timespec *tv)
 	}
 
 	write_sequnlock_irqrestore(&xtime_lock, flags);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/ppc/kernel/time.c~add-clock_was_set arch/ppc/kernel/time.c
--- 25/arch/ppc/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/ppc/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -294,6 +294,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irqrestore(&xtime_lock, flags);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/s390/kernel/time.c~add-clock_was_set arch/s390/kernel/time.c
--- 25/arch/s390/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/s390/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -142,6 +142,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/sparc64/kernel/time.c~add-clock_was_set arch/sparc64/kernel/time.c
--- 25/arch/sparc64/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/sparc64/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -1126,6 +1126,7 @@ int do_settimeofday(struct timespec *tv)
 	time_maxerror = NTP_PHASE_LIMIT;
 	time_esterror = NTP_PHASE_LIMIT;
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 
diff -puN arch/sparc/kernel/time.c~add-clock_was_set arch/sparc/kernel/time.c
--- 25/arch/sparc/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/sparc/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -535,6 +535,7 @@ int do_settimeofday(struct timespec *tv)
 	write_seqlock_irq(&xtime_lock);
 	ret = bus_do_settimeofday(tv);
 	write_sequnlock_irq(&xtime_lock);
+	clock_was_set();
 	return ret;
 }
 
diff -puN arch/um/kernel/time.c~add-clock_was_set arch/um/kernel/time.c
--- 25/arch/um/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/um/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -93,6 +93,7 @@ void do_gettimeofday(struct timeval *tv)
 	gettimeofday(tv, NULL);
 	timeradd(tv, &local_offset, tv);
 	time_unlock(flags);
+	clock_was_set();
 }
 
 EXPORT_SYMBOL(do_gettimeofday);
diff -puN arch/v850/kernel/time.c~add-clock_was_set arch/v850/kernel/time.c
--- 25/arch/v850/kernel/time.c~add-clock_was_set	Fri Feb 13 18:04:22 2004
+++ 25-akpm/arch/v850/kernel/time.c	Fri Feb 13 18:04:22 2004
@@ -193,6 +193,7 @@ int do_settimeofday(struct timespec *tv)
 	time_esterror = NTP_PHASE_LIMIT;
 
 	write_sequnlock_irq (&xtime_lock);
+	clock_was_set();
 	return 0;
 }
 

_
